# (c) 2026 NetBox Labs, Inc.
# Licensed under the NetBox Limited Use License v1.0
# https://netboxlabs.com/ndx/license
# Community DTL portions licensed under Apache 2.0:
# https://github.com/netbox-community/devicetype-library
---
manufacturer: HPE
model: HPE Virtual Connect Flex-10/10D Module for c-Class BladeSystem
slug: hpe-638526-b21
part_number: 638526-B21
u_height: 0
is_full_depth: false
comments: '[QuickSpecs](https://www.hpe.com/psnow/doc/c04154336)'
interfaces:
- name: Port X1
  type: 10gbase-x-sfpp
- name: Port X2
  type: 10gbase-x-sfpp
- name: Port X3
  type: 10gbase-x-sfpp
- name: Port X4
  type: 10gbase-x-sfpp
- name: Port X5
  type: 10gbase-x-sfpp
- name: Port X6
  type: 10gbase-x-sfpp
- name: Port X7
  type: 10gbase-x-sfpp
- name: Port X8
  type: 10gbase-x-sfpp
- name: Port X9
  type: 10gbase-x-sfpp
- name: Port X10
  type: 10gbase-x-sfpp
